package com.ssj.service.conch.conch.padrequest;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:46 2019/11/14
 * @Modified By
 */
public class PadDeleteHomeworkRequest extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String  vipId;

    @ApiModelProperty(name = "usedTime", value = "使用时间", required = true)
    private long  usedTime;

    @ApiModelProperty(name = "courseName", value = "科目", required = true)
    private String courseName;


    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public long getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(long usedTime) {
        this.usedTime = usedTime;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        switch (courseName){
            case "YUWEN": this.courseName = "语文";break;
            case "YINGYU": this.courseName = "英语"; break;
            default: this.courseName = "数学";
        }
    }
}
